 <template> 
     <div class="home">
        <h1 class="primary--text">RESERVE</h1>
         <v-container>
      <h1 class="subheading grey--text"></h1>
    </v-container>
        <v-divider></v-divider>
          <v-card  height="350" >
          <v-container class="my-2">
            <v-layout row wrap>
              <v-flex >
              <img height="300px" :src="movies.image">
              </v-flex>
              
                    
              <v-flex justify-center xs10 sm10 md7 lg9>
                <h1 class="font-weight-bold">{{ movies.movie_name }}</h1>
                <h2 class="font-weight-light">Time  : {{ movies.time }}</h2><br/><br/>
                <v-flex xs12>
                  <h3 class="font-weight-bold">Selected Seat</h3>
                  <h1 class="font-weight-light">E10</h1>
                </v-flex>
                 <v-flex xs12>
                  <h3 class="font-weight-bold">Total</h3>
                  <h1 class="font-weight-light">150</h1>
                </v-flex>


              </v-flex>




              
            </v-layout>

            <v-layout row wrap>
              <v-flex xs12>
                <v-card-title></v-card-title>
                <seatTeater/>
              </v-flex>
            </v-layout>
            <v-card-actions class="justify-center">
                  <v-btn outline color="#d50000" dark href="/">RESERVE</v-btn>
               </v-card-actions>
        </v-container>
         
        </v-card>
   </div>
 </template>
 <script>
// import showTime from "@/components/showTime";

export default {
  // components: {
  //   showTime
  // },
  data() {
    return {
      // changeMovie: [{ text: "change movie", route: "/" }],
      movies: []
    };
  },
  beforeCreate() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
  },
  async created() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
    try {
      var { data } = await this.axios.get(
        "http://192.168.253.107:3005/movie/" + mid
      );
    //   console.log(data);
      this.movies = data
      console.log(this.movies)
    } catch (error) {
      console.log(error.message);
    }
  },
  methods: {
    // async getMovieshow() {
    //   await this.axios
    //     .get("http://192.168.253.107:3005/movie")
    //     .then(response => {
    //       console.log(response.data);
    //       this.moviesw = response.data;
    //     });
    // }
  }
};
</script>
